# Asterisk Project : Asterisk 12 Function_STAT

Added by wikibot , edited by wikibot on Aug 29, 2013

# STAT()

### Synopsis

Does a check on the specified file.

### Description

### Syntax

    STAT(flag,filename)

##### Arguments

- `flag` - Flag may be one of the following:
  d - Checks if the file is a directory.
  e - Checks if the file exists.
  f - Checks if the file is a regular file.
  m - Returns the file mode (in octal)
  s - Returns the size (in bytes) of the file
  A - Returns the epoch at which the file was last accessed.
  C - Returns the epoch at which the inode was last changed.
  M - Returns the epoch at which the file was last modified.
- `filename`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown